curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"authentication": {
"password": "<string>"
},
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
},
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"formationDate": "2023-12-25",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"taxId": {
"type": "EIN",
"value": "<string>"
},
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
}
}
],
"individualValidationSource": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationValidationSource": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
],
"clientSecret": "<string>"
}Creates a new application to apply for an embedded bank account with optional applicant details, business details, and/or business owners.
Token types: APP, USER | Required scopes: embedded:bankaccountapplication:write
curl --request POST \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/bank-account-applications \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicant": {
"authentication": {
"password": "<string>"
},
"birthDate": "2023-12-25",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
},
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"formationDate": "2023-12-25",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"taxId": {
"type": "EIN",
"value": "<string>"
},
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"personalIdentificationNumber": {
"type": "SSN",
"value": "<string>"
}
}
],
"individualValidationSource": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationValidationSource": "<string>"
}
'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"birthDate": "2023-12-25",
"disclosuresAcceptedAtDateTime": "2023-11-07T05:31:56Z",
"firstName": "<string>",
"hasAcceptedDisclosures": true,
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"isLegallyAuthorized": true,
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123,
"workEmailAddress": "<string>"
},
"businessDetails": {
"address": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"businessStructureType": "CORPORATION_PUBLIC",
"dbaName": "<string>",
"legalName": "<string>",
"northAmericanIndustryClassificationSystemCode": "SOYBEAN_FARMING",
"phoneNumber": "<string>",
"website": "<string>"
},
"businessOwners": [
{
"birthDate": "2023-12-25",
"firstName": "<string>",
"homeAddress": {
"address1": "<string>",
"address2": "<string>",
"address3": "<string>",
"city": "<string>",
"countryCode": "AFG",
"postalCode": "<string>",
"state": "<string>"
},
"lastName": "<string>",
"mobilePhoneNumber": "<string>",
"ownershipPercentage": 123
}
],
"clientSecret": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request model for creating a new bank account application.
Optional applicant details for the bank account application.
Show child attributes
Optional business details for the bank account application.
Show child attributes
Optional list of business owners to add to the application.
Show child attributes
Custom validation source for the individual (e.g. "Socure"). Used by partners who perform their own KYC.
Optional VSP organization ID override. When provided, the application will target the specified VSP organization instead of the caller's organization.
Custom validation source for the organization (e.g. "Middesk"). Used by partners who perform their own KYC.
Application created successfully.
Unique identifier for the bank account application.
Applicant information for the bank account.
Show child attributes
Business details associated with the application.
Show child attributes
List of business owners associated with the application.
Show child attributes
Was this page helpful?